import {
    ApiModel
} from "../../utils/api";
const _Http = new ApiModel;
import {
    TestVerify
} from "../../utils/verify";
const _Verify = new TestVerify();
Page({
    /**
     * 页面的初始数据
     */
    data: {
        maxDate: Number,
        minDate: Number,
        showCalendar: false, //日历显示
        tsupplyanddemandid: 0, //ID 0为新增
        popups: false, //弹出层控制
        ftype: "", //供需类型
        ftitle: "", //供需标题
        fcontent: "", //需求内容	
        fenddate: "", //截止日期
        /* 必填 */
        errTips: {
            ftype: false,
            ftitle: false,
            fcontent: false
        }
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.setTime()
        if (options.data != undefined) {
            console.log("修改返回数据")
        }
    },
    setTime() {
        this.setData({
            maxDate: Date.parse(new Date()) + 1000 * 60 * 60 * 24 * 31,
            minDate: Date.parse(new Date())
        })
    },
    /* 打开时间选择器 */
    setDate() {
        this.selectComponent("#SetDate").dateOnClose()
    },
    /* 设置下架 */
    setSoldOut(date) {
        this.setData({
            fenddate: date.detail
        })
    },
    /* 表单验证 */
    formVerify() {
        let errTips = this.data.errTips,
            verify = true;
        /* 验证分类 */
        if (!_Verify.required(this.data.ftype)) {
            errTips.ftype = true;
            verify = false;
        }
        /* 验证标题  */
        if (!_Verify.required(this.data.ftitle)) {
            errTips.ftitle = true;
            verify = false;
        }
        /* 验证内容  */
        if (!_Verify.required(this.data.fcontent)) {
            errTips.fcontent = true;
            verify = false;
        }
        this.setData({
            errTips
        })
        return verify;
    },
    /* 提交 */
    submit() {
        if (!this.formVerify()) return wx.showToast({
            title: '请检查表单内容',
            icon: "error"
        });
        this.addOrModify()
    },
    /* 新增或修改 */
    addOrModify() {
        /* 发送请求 */
        _Http.basic({
            "accesstoken": wx.getStorageSync('userData').token,
            "classname": "customer.supplyanddemand.supplyanddemand",
            "method": "insertormodify",
            "content": {
                "tsupplyanddemandid": this.data.tsupplyanddemandid,
                "ftype": this.data.ftype,
                "ftitle": this.data.ftitle,
                "fcontent": this.data.fcontent,
                "fenddate": this.data.fenddate,
                "fissupply": 0
            }
        }).then(res => {
            if (res.msg != "成功") return
            wx.showToast({
                title: '保存成功',
            })
            setTimeout(() => {
                wx.navigateBack({
                    delta: 1,
                })
            }, 500)
        })
    },
    /* 弹出层 */
    showPop() {
        this.setData({
            popups: !this.data.popups
        })
    },
    /* 单选改变 */
    radioChange(value) {
        this.setData({
            ftype: value.detail,
            popups: false,
            "errTips.ftype": false
        })
    },
    /* 获取焦点 */
    inputFocus(e) {
        const {
            name
        } = e.currentTarget.dataset;
        let errTips = this.data.errTips;
        errTips[name] = false;
        this.setData({
            errTips
        })
    },
    /* 失去焦点 */
    inputBlur(e) {
        const {
            name
        } = e.currentTarget.dataset;
        const {
            value
        } = e.detail;
        if (value.trim() == "") {
            let errTips = this.data.errTips;
            errTips[name] = true;
            this.setData({
                errTips
            })
        }
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {},

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})